data:
- __class__:
    module: tmt.steps.prepare.install
    name: PrepareInstallData
  copr:
  - '@teemtee/latest'
  directory: []
  exclude: []
  how: install
  missing: fail
  name: enable-latest-copr
  order: 50
  package: []
  summary: Enable copr repo with the latest tmt bits
  when: []
  where: []
- __class__:
    module: tmt.steps.prepare.shell
    name: PrepareShellData
  how: shell
  name: disable-tag-repo
  order: 50
  ref: null
  script:
  - "dnf repolist | grep testing-farm-tag-repository || exit 0\nif command -v dnf5;
    then\n    dnf config-manager setopt testing-farm-tag-repository.enabled=0\nelse\n
    \   dnf config-manager --set-disabled testing-farm-tag-repository\nfi\n"
  summary: Completely disable the tag repository
  url: null
  when: []
  where: []
- __class__:
    module: tmt.steps.prepare.install
    name: PrepareInstallData
  copr: []
  directory: []
  exclude: []
  how: install
  missing: fail
  name: Install pip
  order: 50
  package:
  - python3-pip
  summary: null
  when: []
  where: []
- __class__:
    module: tmt.steps.prepare.shell
    name: PrepareShellData
  how: shell
  name: Install Requre
  order: 50
  ref: null
  script:
  - pip3 install "typing-extensions>=3.7.4.3" requre pylero
  summary: null
  url: null
  when: []
  where: []
- __class__:
    module: tmt.steps.prepare.shell
    name: PrepareShellData
  how: shell
  name: Create pylero config
  order: 50
  ref: null
  script:
  - bash setup/pylero-config.sh
  summary: null
  url: null
  when: []
  where: []
- __class__:
    module: tmt.steps.prepare.shell
    name: PrepareShellData
  how: shell
  name: Create default nitrate config
  order: 50
  ref: null
  script:
  - bash setup/nitrate-config.sh
  summary: null
  url: null
  when: []
  where: []
status: done
